﻿using System;
using System.Windows.Input;

namespace SfDataGridDemo
{   
     public class ClickCommand:ICommand
     {
        private Action<object> act;
         private Predicate<object> pre;
         public ClickCommand(Action<object> a, Predicate<object> b)
         {
             act = a;
             pre = b;
         }
         public bool CanExecute(Object parameter)
         {
             return true;
         }

         public void Execute(object parameter)
         {
             act(parameter);
             pre(parameter);
         }

         public event EventHandler CanExecuteChanged;     
     }
}
