﻿using System.ComponentModel.DataAnnotations;
using Syncfusion.Windows.Shared;

namespace SfDataGridDemo
{
    public class Model : NotificationObject
    {
        private string _ename;
        public string EmployeeName
        {
            get
            {
                return _ename;
            }
            set
            {
                _ename = value;
                this.RaisePropertyChanged("EmployeeName");
            }
        }

        private string _edesignation;
        public string EmployeeDesignation
        {
            get
            {
                return _edesignation;
            }
            set
            {
                _edesignation = value;
                this.RaisePropertyChanged("EmployeeDesignation");
            }
        }

        private string _earea;
        public string EmployeeArea
        {
            get
            {
                return _earea;
            }
            set
            {
                _earea = value;
                this.RaisePropertyChanged("EmployeeArea");
            }
        }

        private string _egender;
        [Display(AutoGenerateField = false)]
        public string EmployeeGender
        {
            get
            {
                return _egender;
            }
            set
            {
                _egender = value;
                this.RaisePropertyChanged("EmployeeGender");
            }
        }

        private double _esalary;
        [DataType(DataType.Currency)]
        public double EmployeeSalary
        {
            get
            {
                return _esalary;
            }
            set
            {
                _esalary = value;
                this.RaisePropertyChanged("EmployeeSalary");
            }
        }
    }
}
